package com.persagy.proxy.migration.constant;

/**
 * @author lvxianyun
 * @title: MigrationType
 * @projectName adm-middleware
 * @description: 数据迁移类型 insert delete update
 * @date 2021/12/3 19:54
 */
public enum MigrationType {
    INSERT("insert","新增"),UPDATE("update","更新"),DELETE("delete","删除"),QUERY("query","查询");
    private String code;
    private String desc;

    public String getCode() {
        return code;
    }

    public String getDesc() {
        return desc;
    }

    MigrationType(String code, String desc) {
        this.code = code;
        this.desc = desc;
    }

    @Override
    public String toString() {
        return this.code + "_" + this.desc;
    }
}
