package com.persagy.proxy.migration.service;

import com.persagy.dmp.basic.model.QueryCriteria;
import com.persagy.dmp.rwd.migrate.entity.SyncData;
import com.persagy.proxy.adm.request.AdmResponse;
import com.persagy.proxy.common.entity.InstanceUrlParam;

import java.util.List;

/**
 * @author lvxianyun
 * @title: ISyncDataService
 * @projectName adm-middleware
 * @description: 数据迁移日志
 * @date 2021/12/21 12:02
 */
public interface ISyncDataService {

    /**
     * 查询
     * @param context
     * @param queryCriteria
     * @return
     */
    AdmResponse doQuery(InstanceUrlParam context, QueryCriteria queryCriteria);

    /**
     * 新增
     * @param context
     * @param voList
     * @return
     */
    List<SyncData> doInsert(InstanceUrlParam context, List<SyncData> voList);
}
