package com.persagy.proxy.migration.constant;

/**
 * @author lvxianyun
 * @title: MigrationConstant
 * @projectName adm-middleware
 * @date 2021/12/6 15:39
 */
public class MigrationConstant {

    public final static int batchSubmitDataCount = 500;
    /** 数据拼接 用于list->map 时key和value拼接 **/
    public final static String SPLITER = "_";

    /** 数据拼接 用于map的key和value拼接成一个串 **/
    public final static String SPLITER_UNION = "@@";

    /**   日志 接口 ***/
    public final static String DT_LOG = "/dmp-rwd/rwd/log/migrate?";
    public final static String DT_LOG_INSERT = "/dmp-rwd/rwd/log/migrate/create?";


    /**   对象类型定义 接口 ***/
    public final static String DEF_CLASS = "/dmp-rwd/rwd/def/class?";
    public final static String DEF_CLASS_INSERT = "/dmp-rwd/rwd/def/class/createBatch?";
    public final static String DEF_CLASS_DELETE = "/dmp-rwd/rwd/def/class/deleteBatch?";
    public final static String DEF_CLASS_UPDATE = "/dmp-rwd/rwd/def/class/updateBatch?";

    /**   信息点 接口 ***/
    public final static String DEF_FUNCID = "/dmp-rwd/rwd/def/funcid?";
    public final static String DEF_FUNCID_INSERT = "/dmp-rwd/rwd/def/funcid/createBatch?";
    public final static String DEF_FUNCID_DELETE = "/dmp-rwd/rwd/def/funcid/deleteBatch?";
    public final static String DEF_FUNCID_UPDATE = "/dmp-rwd/rwd/def/funcid/updateBatch?";

    /**   图类型表 接口 需要提供批量 ***/
    public final static String DEF_GRAPH = "/dmp-rwd/rwd/def/graph/query?";
    public final static String DEF_GRAPH_INSERT = "/dmp-rwd/rwd/def/graph/create?";
    public final static String DEF_GRAPH_DELETE = "/dmp-rwd/rwd/def/graph/delete?";
    public final static String DEF_GRAPH_UPDATE = "/dmp-rwd/rwd/def/graph/update?";

    /**   边类型表 接口  ***/
    public final static String DEF_REL = "/dmp-rwd/rwd/def/rel/query?";
    public final static String DEF_REL_INSERT = "/dmp-rwd/rwd/def/rel/create?";
    public final static String DEF_REL_DELETE = "/dmp-rwd/rwd/def/rel/delete?";
    public final static String DEF_REL_UPDATE = "/dmp-rwd/rwd/def/rel/update?";


    /**   对象实例表 接口  ***/
    public final static String DT_OBJECT = "/dmp-rwd/rwd/instance/object/query?";
    public final static String DT_OBJECT_INSERT = "/dmp-rwd/rwd/instance/object/create?";
    public final static String DT_OBJECT_DELETE = "/dmp-rwd/rwd/instance/object/delete?";
    public final static String DT_OBJECT_UPDATE = "/dmp-rwd/rwd/instance/object/update?";


    /**   关系实例表 接口  ***/
    public final static String DT_RELATION = "/dmp-rwd/rwd/instance/relation/query?";
    public final static String DT_RELATION_INSERT = "/dmp-rwd/rwd/instance/relation/create?";
    public final static String DT_RELATION_DELETE = "/dmp-rwd/rwd/instance/relation/delete?";
    public final static String DT_RELATION_UPDATE = "/dmp-rwd/rwd/instance/relation/update?";
}
